package com.cftech.collection.dao;

import com.cftech.collection.model.Collection;
import com.cftech.collection.model.CollectionDto;
import com.cftech.core.generic.GenericDao;

import java.util.List;
import java.util.Map;

/**
 * collectionMapper
 * Created by mubo 11/05/2017.
 */
public interface CollectionMapper extends GenericDao<Collection> {

    Long saveLog(Collection collection);

    Long deleteLog(Map<String, Object> params);
    Long deleteForever(Map<String, Object> params);

    Integer getCollectionCount(Map<String, Object> params);

    Integer findCollectionByPageVoCount(Map<String, Object> params);

    List<CollectionDto> findCollectionByPageVo(Map<String, Object> params);

    List<CollectionDto> findCollectionByPageVoCar(Map<String,Object> params);

    List<CollectionDto> findCollectionByPageVoCfarticle(Map<String,Object> params);

    List<CollectionDto> findCollectionByPageVoActivity(Map<String,Object> params);

    Integer updateexhibi (Map<String , Object> para);
}
